## org.hibernate.hql.internal.ast.util
Class NodeTraverser

    java.lang.Object
      org.hibernate.hql.internal.ast.util.NodeTraverser

    public class NodeTraverser

extends Object

A visitor for traversing an AST tree.

Nested Class Summary
`static interface` `NodeTraverser.VisitationStrategy`

Constructor Summary
`NodeTraverser(NodeTraverser.VisitationStrategy strategy)`

Method Summary
`void` `traverseDepthFirst(antlr.collections.AST ast)` Traverse the AST tree depth first.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeTraverser

    public NodeTraverser(NodeTraverser.VisitationStrategy strategy)

Method Detail

### traverseDepthFirst

    public void traverseDepthFirst(antlr.collections.AST ast)

  Traverse the AST tree depth first.

  Parameters:
    `ast` - Root node of subtree to traverse.

    Note that the AST passed in is not visited itself. Visitation starts with its children.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.